package cn.pluss.platform.dto;

import cn.pluss.platform.api.Result;
import cn.pluss.platform.api.ResultGenerator;
import cn.pluss.platform.entity.MerchantBankCard;
import cn.pluss.platform.exception.MsgException;
import cn.pluss.platform.util.StringUtil;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

/**
 * @author yuchen
 *
 * @Description 
 * 实名认证dto
 */
@Data
@Accessors(chain = true)
public class CertificationDTO {

	@NotEmpty(message = "缺少userId")
	@ApiModelProperty(value="当前用户的userId")
	private String userId;

	@NotEmpty(message = "缺少身份证号码")
	@ApiModelProperty(value="身份证号码")
	private String certnum;
	
	@ApiModelProperty(value="真实姓名")
	private String realName;

	@NotEmpty(message = "身份证起始时间不能为空")
	@ApiModelProperty(value="身份证有效期开始时间")
	private String certStartTime;

	@NotEmpty(message = "身份证有效期不能为空")
	@ApiModelProperty(value="身份证有效期结束时间")
	private String certPeriod;
	
	@ApiModelProperty(value="身份证正面照")
	private String certFullPhoto;
	
	@ApiModelProperty(value="身份证反面照")
	private String certBacKPhoto;

	public void paramCheck() {
		if(StringUtil.isEmpty(certnum)) {
			throw new MsgException("真实姓名不能为空");
		}
		if(StringUtil.isEmpty(certnum)) {
			throw new MsgException("身份证号不能为空");
		}
		if(StringUtil.isEmpty(certStartTime)) {
			throw new MsgException("身份证起始时间不能为空");
		}
		if(StringUtil.isEmpty(certPeriod)) {
			throw new MsgException("身份证号有效日期不能为空");
		}
		if(StringUtil.isEmpty(certFullPhoto)) {
			throw new MsgException("身份证正面照不能为空");
		}
		if(StringUtil.isEmpty(certBacKPhoto)) {
			throw new MsgException("身份证反面照不能为空");
		}
	}

}

